Subject: Re: bug#720: Patch to fix CVS Emacs compilation error on Windows XP SP2.

From: Stefan Monnier <[email-masked]>
Date: Fri, 15 Aug 2008 15:31:49 -0400

>> > When building CVS Emacs on Windows XP SP2 using Visual Studio 6.0, the
>> > following patch is needed to prevent the compiler from displaying an
>> > error about unsigned __int64 not being convertable to double.
>> Wouldn't it be better to cast to (double) ?
> Wouldn't that be doing the same mistake?  The compiler probably has a
> point: an unsigned 64-bit number has more bits than a simple double
> can handle.

Yes, it's a good reason for not doing the conversion automatically, but
IIUC we need a double, so we don't have much of a choice, and that's
what the cast to (double) would tell the compiler.

        Stefan